name: ShaanxiUnionMonitor
options:
  bundleIdPrefix: com.danghuaiyu
  deploymentTarget:
    iOS: "17.0"
settings:
  base:
    SWIFT_VERSION: "5.0"
targets:
  ShaanxiUnionMonitor:
    type: application
    platform: iOS
    deploymentTarget: "17.0"
    sources:
      - path: ShaanxiUnionMonitor
    info:
      path: ShaanxiUnionMonitor/Info.plist
      properties:
        CFBundleDisplayName: 陕西联合监测
        UILaunchScreen: {}
        UIBackgroundModes:
          - fetch
          - remote-notification
        BGTaskSchedulerPermittedIdentifiers:
          - com.danghuaiyu.ShaanxiUnionMonitor.refresh
    entitlements:
      path: ShaanxiUnionMonitor/ShaanxiUnionMonitor.entitlements
      properties:
        aps-environment: development
    settings:
      base:
        PRODUCT_BUNDLE_IDENTIFIER: com.danghuaiyu.ShaanxiUnionMonitor
        CODE_SIGN_ENTITLEMENTS: ShaanxiUnionMonitor/ShaanxiUnionMonitor.entitlements
        INFOPLIST_KEY_NSHumanReadableCopyright: ""
